Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.filters
[Java] Class HiddenHttpMethodFilter

    java.lang.Object
      org.springframework.web.filter.OncePerRequestFilter
          org.codehaus.groovy.grails.web.filters.HiddenHttpMethodFilter

    public class HiddenHttpMethodFilter
    extends OncePerRequestFilter

Based off the Spring implementation, but this one works with Grails params object and also deals with the X-HTTP-Method-Override HTTP header.

Authors:
  Graeme Rocher

See Also:
  org.springframework.web.filter.HiddenHttpMethodFilter

Since:
  1.2

Field Summary
`static java.lang.String` | `DEFAULT_METHOD_PARAM` Default method parameter: `_method`
`static java.lang.String` | `HEADER_X_HTTP_METHOD_OVERRIDE`

Method Summary
`protected void` | `doFilterInternal(HttpServletRequest request, HttpServletResponse response, FilterChain filterChain)`
`protected java.lang.String` | `getHttpMethodOverride(HttpServletRequest request)`
`void` | `setMethodParam(java.lang.String methodParam)` Set the parameter name to look for HTTP methods.

Field Detail

### DEFAULT_METHOD_PARAM

    public static final java.lang.String DEFAULT_METHOD_PARAM

  Default method parameter: `_method`

### HEADER_X_HTTP_METHOD_OVERRIDE

    public static final java.lang.String HEADER_X_HTTP_METHOD_OVERRIDE

Method Detail

### doFilterInternal

    @Override
    protected void doFilterInternal(HttpServletRequest request, HttpServletResponse response, FilterChain filterChain)

### getHttpMethodOverride

    protected java.lang.String getHttpMethodOverride(HttpServletRequest request)

### setMethodParam

    public void setMethodParam(java.lang.String methodParam)

  Set the parameter name to look for HTTP methods.
  See Also:
    DEFAULT_METHOD_PARAM

Groovy Documentation